local MakePlayerCharacter = require("prefabs/player_common")

local assets =
{
    Asset("ANIM", "anim/waldo.zip"),
}

local function whereswaldo(inst)
    local equipped = false
    for k, v in pairs(inst.components.inventory.equipslots) do
        equipped = true
    end
    
    if equipped then
        inst:AddTag("scarytoprey")
        inst:RemoveTag("notarget")
    else
        inst:RemoveTag("scarytoprey")
        inst:AddTag("notarget")
    end
    
    inst.DynamicShadow:Enable(equipped)
end

local function fn(inst)
    inst.MiniMapEntity:SetIcon("waldo.tex")
    
    inst.components.talker:IgnoreAll(inst)

    inst:DoPeriodicTask(FRAMES, whereswaldo)
    
    inst.components.health:SetMaxHealth(75)
end

return MakePlayerCharacter("waldo", {}, assets, fn, {})
